Loading...
Searching...
No Matches
Opm::IAPWS::Region4< Scalar > Class Template Reference

Implements the equations for region 4 of the IAPWS '97 formulation. More...

`#include <Region4.hpp>`

## Static Public Member Functions

template<class Evaluation>
static Evaluation | saturationPressure (const Evaluation &temperature)
| Returns the saturation pressure in of pure water at a given temperature.
template<class Evaluation>
static Evaluation | vaporTemperature (const Evaluation &pressure)
| Returns the saturation temperature in of pure water at a given pressure.

## Detailed Description

template<class Scalar>
class Opm::IAPWS::Region4< Scalar >

Implements the equations for region 4 of the IAPWS '97 formulation.

Template Parameters

  Scalar | The type used for scalar values

See:

IAPWS: "Revised Release on the IAPWS Industrial Formulation 1997 for the Thermodynamic Properties of Water and Steam", http://www.iapws.org/relguide/IF97-Rev.pdf

## Member Function Documentation

## saturationPressure()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::IAPWS::Region4< Scalar >::saturationPressure | ( | const Evaluation & | temperature | ) |

inline static

Returns the saturation pressure in of pure water at a given temperature.

Parameters

  temperature | temperature of component in

The saturation pressure is often also called vapor pressure.

## vaporTemperature()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::IAPWS::Region4< Scalar >::vaporTemperature | ( | const Evaluation & | pressure | ) |

inline static

Returns the saturation temperature in of pure water at a given pressure.

Parameters

  pressure | pressure of component in

The saturation pressure is often also called vapor pressure.

The documentation for this class was generated from the following file:

- opm/material/components/iapws/Region4.hpp